# Uses of Class
org.opensaml.storage.MutableStorageRecord

Packages that use MutableStorageRecord
Package
Description
org.opensaml.storage
Interfaces and classes for storing state data of the type used in replay caches, conversation identifiers, etc.
org.opensaml.storage.impl
Storage-related implementation classes.
org.opensaml.storage.impl.client
Implementation of `StorageService` that unifies cookie and HTML Local Storage.

## Uses of MutableStorageRecord in org.opensaml.storage

Methods in org.opensaml.storage that return types with arguments of type MutableStorageRecord
Modifier and Type
Method
Description
`protected abstract Map<String,Map<String,MutableStorageRecord<?>>>`
AbstractMapBackedStorageService.`getContextMap()`
Get the map of contexts to manipulate during operations.
Method parameters in org.opensaml.storage with type arguments of type MutableStorageRecord
Modifier and Type
Method
Description
`protected boolean`
AbstractMapBackedStorageService.`reapWithLock(Map<String,MutableStorageRecord<?>> dataMap, long expiration)`
Locates and removes expired records from the input map.

## Uses of MutableStorageRecord in org.opensaml.storage.impl

Fields in org.opensaml.storage.impl with type parameters of type MutableStorageRecord
Modifier and Type
Field
Description
`private Map<String,Map<String,MutableStorageRecord<?>>>`
MemoryStorageService.`contextMap`
Map of contexts.
Methods in org.opensaml.storage.impl that return types with arguments of type MutableStorageRecord
Modifier and Type
Method
Description
`protected Map<String,Map<String,MutableStorageRecord<?>>>`
MemoryStorageService.`getContextMap()`
Get the map of contexts to manipulate during operations.

## Uses of MutableStorageRecord in org.opensaml.storage.impl.client

Fields in org.opensaml.storage.impl.client with type parameters of type MutableStorageRecord
Modifier and Type
Field
Description
`private final Map<String,Map<String,MutableStorageRecord<?>>>`
AbstractClientStorageServiceStore.`contextMap`
The underlying map of data records.
Methods in org.opensaml.storage.impl.client that return types with arguments of type MutableStorageRecord
Modifier and Type
Method
Description
`Map<String,Map<String,MutableStorageRecord<?>>>`
AbstractClientStorageServiceStore.`getContextMap()`
Get the map of contexts to manipulate during operations.
`protected Map<String,Map<String,MutableStorageRecord<?>>>`
ClientStorageService.`getContextMap()`
Get the map of contexts to manipulate during operations.
`Map<String,Map<String,MutableStorageRecord<?>>>`
ClientStorageServiceStore.`getContextMap()`
Get the map of contexts to manipulate during operations.